using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Schema;

namespace ConsoleApp16
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int l = int.Parse(s[1]);
            int b = -1;
            s = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                int h = int.Parse(s[i]);
                if (h <= l)
                {
                    b = i + 1;
                    break;
                }
            }
            Console.WriteLine(b);
        }
    }
}